# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 2.0.0 - 2020-05-04

### Added
  - Add native `disable`. 
  - Add defines `SCAN_FILTER_ACTION_*`. 
  - Add license file.

### Changed
  - Change native `startScanning` parameters.
  - Change native `discoverServices` parameters.
  - Change native `addService` parameters.
  - Rename native `initialize` to `enable`.
  - Rename native `pair` to `sendPairRequest`.
  - Rename native `pairReply` to `sendPairResponse`.
  - Rename native `sendPasskeyResponse` to `passkeyReply`.
  - Rename defines `PERMISSION_*` to `ATTRIBUTE_PERMISSION_*`.
  - Change struct `uuid_t`.
  - Change struct `gatts_attribute_t`.
  - Change struct `gattc_attribute_t`.
  - Change struct `event_gap_scan_result_t`.
  - Change struct `event_gattc_discovery_result_t`. 
  - Change module name and organization.
  - Use rip buildtype instead of ccomponent buildtype.

### Removed
  - Remove defines `SERVICE_TYPE_*`.
  - Remove defines `PROPERTY_*`.
  - Remove defines `UUID_LENGTH_*`.
  - Remove define `ATTRIBUTE_TYPE_INCLUDED_SERVICE`.

## 1.0.0 - 2019-03-12

### Added
  - Add declarations for types and natives of the first version of the Bluetooth foundation lib implementation.

---
_Copyright 2018-2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
