/*
 * Java
 *
 * Copyright 2013-2021 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.kf;

/**
 * Handler for uncaught exceptions thrown in a Feature.
 *
 * @deprecated Use {@link java.lang.Thread.UncaughtExceptionHandler}
 */
@Deprecated
public interface UncaughtExceptionHandler {

	/**
	 * Method invoked when the given thread terminates due to the given uncaught
	 * exception.
	 * <p>
	 * Any exception thrown by this method will be ignored by the Java Virtual
	 * Machine.
	 * 
	 * @param f
	 *            the feature
	 * @param t
	 *            the thread
	 * @param e
	 *            the exception
	 */
	public void uncaughtException(Feature f, Thread t, Throwable e);

}
