# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.2.0 - 2021-07-06

### Added

- Implement the API to get the size of an entry.
- Implement the API to modify an entry.

### Changed

- Update edc, fs and storage dependencies.

### Fixed

- Throw IOException when calling `move()` with an ID not present in storage.
- Throw IOException rather than IllegalArgumentException when creating an FS storage and the root is a file.
- Throw IOException rather than NPE when `getIds()` fails.

## 1.1.0 - 2019-09-26

### Added

- Implement append method on file system.
- Provide a protected method which returns the file associated to a given storage identifier.

### Changed

- Use MMM for dependencies declaration.

## 1.0.1 - 2019-04-01

### Fixed

- Avoid IOException when closing twice the outputstream.

## 1.0.0 - 2019-03-14

### Added

- Add storage implementation on file system (FS library).

---  
_Copyright 2019-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
